org.richfaces.fragment.dataScroller

## Interface DataScroller

- All Known Implementing Classes:
    RichFacesDataScroller

      public interface DataScroller

  Author:
    Jiri Stefek

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `DataScroller.DataScrollerSwitchButton` Represents the buttons by which the dataScroller can be controlled.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getActivePageNumber()` Gets the index of the currently selected page.
    `boolean` | `hasPages()` Determines whether there are some pages to scroll over with this DataScroller.
    `void` | `switchTo(DataScroller.DataScrollerSwitchButton btn)` Switch by buttons.
    `void` | `switchTo(int pageNumber)` Direct switch to page.

- - ### Method Detail

    - #### getActivePageNumber

          int getActivePageNumber()

      Gets the index of the currently selected page. Indexed from 1.
      Returns:
        the position of the page at which the dataScroller currently is

    - #### switchTo

          void switchTo(int pageNumber)

      Direct switch to page. Indexed from 1. Page must exist. Without any waiting.
      Parameters:
        `pageNumber` - of the page which will be selected

    - #### switchTo

          void switchTo(DataScroller.DataScrollerSwitchButton btn)

      Switch by buttons. Clicks on the chosen button. Without any waiting.
      Parameters:
        `btn` - the button which will be used to control the dataScroller in order to switch to a wished page
      See Also:
        `DataScroller.DataScrollerSwitchButton`

    - #### hasPages

          boolean hasPages()

      Determines whether there are some pages to scroll over with this DataScroller.
      Returns:
        true if there is more than one page of data, false otherwise

Copyright © 2015 JBoss by Red Hat. All Rights Reserved.